#pragma once
#include "Heuristic.h"


class TabuSearch : public Heuristic
{

	bool runLoop(Prices prices);

public:
	TabuSearch();
	~TabuSearch();

	void setUp(ProblemDescription pd);
	Prices suggestNewPrices(Prices oldPrices);

protected:
	//vector<Prices> tabuList;

private:
	/// Returns true if (1) the move to new prices is outside the tabu list, or (2) the resulting state fullfills the aspiration criterion. 
	bool isValidChange(Prices newPrices);


};

