sets
         n       nodes           /1*4/
         i       producers       /1*4/
;

Alias (n,m);

parameters

A(n)    demand slope /      
1       123
2       15
3       6
4       32
/

B(n)    demand intercept /        
1       1035
2       1613
3       822
4       1835
/
         
Cprod1(i) linear supplier cost /       
1       55
2       75
3       70
4       70
/
         
Cprod2(i) quad supplier cost /       
1       1.5
2       1.43
3       1.48
4       1.3
/
;
table   Ctrans1(n,m) linear tso cost
         1       2       3       4
1        0       23.25   21      33
2        0       0       0       12
3        0       0       0       0
4        0       12      0       0


;

table   Ctrans2(n,m) quad tso cost
         1       2       3       4
1        1.4     1.4     1.4     1.4
2        1.4     1.4     1.4     1.4
3        1.4     1.4     1.4     1.4
4        1.4     1.4     1.4     1.4
;

table   productionCAP(n,i) production capacity
         1      2       3       4
1        115    0       0       0
2        0      12      0       0
3        0      0       60      0
4        0      0       0       0
;

table   transportationCAP(n,m) transportation capacity
         1      2       3       4
1        0      43      47      18
2        0      0       0       20
3        0      0       0       0
4        0      0       0       0
;

table   transportationTariff(n,m)
         1       2       3       4
1        0       0       0       0
2        0       0       0       0
3        0       0       0       0
4        0       0       0       0
;
