* -----------------------------------------------------
* XLS2GMS 2.8      24.3.1 r47218 Released Jul 31, 2014 VS8 x86 32bit/MS Windows 
* Erwin Kalvelagen, GAMS Development Corp.
* -----------------------------------------------------
* Application: Microsoft Excel
* Version:     15.0
* Workbook:    C:\Users\Mads\Google Drive\Masteroppgave\Datasett\Til kjring\set01_simple-supplier.xlsx
* Sheet:       gams-data
* Range:       $A$1:$F$61
* -----------------------------------------------------
* noen      parametre                                                            
*           KOEFF                  15000                   kostnad pr trans enhet
*           PRODCAP                100                                           
*           NODES                  3                                             
                                                                                 
sets                                                                             
            n                      nodes                   /1*3/                 
            i                      producers               /1*1/                 
;                                                                                
                                                                                 
Alias(n,m);                                                                      
                                                                                 
parameters                                                                       
                                                                                 
A(n)        demand slope           /                                             
1           0.030114                                                             
2           0.0876                                                               
3           0.055                                                                
/                                                                                
                                                                                 
B(n)        demand intercept       /                                             
1           840                                                                  
2           1280                                                                 
3           1000                                                                 
/                                                                                
                                                                                 
Cprod1(i)   linear supplier cost   /                                             
1           3.5                                                                  
/                                                                                
                                                                                 
Cprod2(i)   quad supplier cost     /                                             
1           0.0001                                                               
/                                                                                
                                                                                 
table       Ctrans1(n,m)           linear tso cost                               
            1                      2                       3                     
1           0                      0.0025                  0                     
2           0                      0                       0.0035                
3           0                      0                       0                     
;                                                                                
                                                                                 
table       Ctrans2(n,m)           quad tso cost                                 
            1                      2                       3                     
1           0                      5E-005                  0                     
2           0                      0                       7E-005                
3           0                      0                       0                     
;                                                                                
                                                                                 
table       productionCAP(n,i)     production capacity                           
            1                                                                    
1           40000                                                                
2           0                                                                    
3           0                                                                    
;                                                                                
                                                                                 
table       transportationCAP(n,m) transportation capacity                       
            1                      2                       3                     
1           0                      25000                   0                     
2           0                      0                       10000                 
3           0                      0                       0                     
;                                                                                
* -----------------------------------------------------
