* -----------------------------------------------------
* XLS2GMS 2.8      24.3.1 r47218 Released Jul 31, 2014 VS8 x86 32bit/MS Windows 
* Erwin Kalvelagen, GAMS Development Corp.
* -----------------------------------------------------
* Application: Microsoft Excel
* Version:     15.0
* Workbook:    C:\Users\Mads\Google Drive\Masteroppgave\Datasett\Til kjring\set02_cap-split.xlsx
* Sheet:       gams-data
* Range:       $A$1:$F$63
* -----------------------------------------------------
* noen      parametre                                                            
*           KOEFF                  15000                   kostnad pr trans enhet
*           PRODCAP                100                                           
*           NODES                  3                                             
                                                                                 
sets                                                                             
            n                      nodes                   /1*3/                 
            i                      producers               /1*2/                 
;                                                                                
                                                                                 
Alias(n,m);                                                                      
                                                                                 
parameters                                                                       
                                                                                 
A(n)        demand slope           /                                             
1           0                                                                    
2           0                                                                    
3           0.03                                                                 
/                                                                                
                                                                                 
B(n)        demand intercept       /                                             
1           0                                                                    
2           0                                                                    
3           900                                                                  
/                                                                                
                                                                                 
Cprod1(i)   linear supplier cost   /                                             
1           2                                                                    
2           3                                                                    
/                                                                                
                                                                                 
Cprod2(i)   quad supplier cost     /                                             
1           0.0001                                                               
2           0.0001                                                               
/                                                                                
;                                                                                
                                                                                 
table       Ctrans1(n,m)           linear tso cost                               
            1                      2                       3                     
1           0                      2                       1                     
2           0                      0                       2                     
3           0                      0                       0                     
;                                                                                
                                                                                 
table       Ctrans2(n,m)           quad tso cost                                 
            1                      2                       3                     
1           0                      5E-005                  3E-005                
2           0                      0                       7E-005                
3           0                      0                       0                     
;                                                                                
                                                                                 
table       productionCAP(n,i)     production capacity                           
            1                      2                                             
1           20000                  0                                             
2           0                      20000                                         
;                                                                                
                                                                                 
table       transportationCAP(n,m) transportation capacity                       
            1                      2                       3                     
1           0                      10000                   4000                  
2           0                      0                       15000                 
3           0                      0                       0                     
;                                                                                
* -----------------------------------------------------
