#pragma once
#include "ProblemDescription.h"

class Consumer
{
	int nNodes, nSuppliers;
	doubleVector demandSlope, demandIntercept, totalSupply, 
		prevSupply, gaps, prevGaps;
	bool printGaps = false;
	double step = 0.1;
public:
	Consumer(ProblemDescription *pd);
	~Consumer();
	void setInitialPrices(Prices *prices);
	bool setNewCommodityPrices(DecisionVariables *decisions, Prices *prices, double clearingSlack = 0.0001);
};

