
#include "RunLoops.h"
#include "mosek.h"

int main()
{
	// Uncomment line below to load data sets from gams files
	 //ProblemDescription::convertGamsToQex("./data");
	
	// RunLoops is a wrapper class for handling data sets 
	//  and solve loops
	RunLoops rl;

	// Load all quickload files in data/quickLoad folder 
	printf("Loading data sets:\n");
	rl.loadFolderSet("data/quickLoad");
	
	// Solve all data sets loaded above
	printf("\nSolving data sets:\n");
	rl.runSet();

	return 0;
}