#pragma once
#include <string>
#include <vector>
#include "ProblemDescription.h"

using namespace std;

class MasterUtility
{
public:
	MasterUtility();
	~MasterUtility();

	// Given a char-delimited string, parse the int-indexed element. 
	// EX: parseDoubleDelimited("4,1,45,1" , ',' , 2) = 45
	// Returns 0 if the int-th element does not exist
	static double parseDoubleDelimited(string, char, int);
	static int parseIntDelimited(string, char, int);

	static std::vector<double> getVectorDifference(std::vector<double>, std::vector<double>);
};


