* -----------------------------------------------------
* XLS2GMS 2.8      24.3.1 r47218 Released Jul 31, 2014 VS8 x86 32bit/MS Windows 
* Erwin Kalvelagen, GAMS Development Corp.
* -----------------------------------------------------
* Application: Microsoft Excel
* Version:     15.0
* Workbook:    C:\Users\Mads\Google Drive\Masteroppgave\Datasett\4_nodes_all\high congestion.xlsx
* Sheet:       gams-data
* Range:       $A$1:$D$68
* -----------------------------------------------------
* Dette       regnearket             kan                     konverteres 
* Resultatet  ser ikke               pent ut,                men         
* noen        parametre                                                  
*             KOEFF                  15000                   kostnad     
*             PRODCAP                1.2                                 
*             NODES                  3                                   
                                                                         
sets                                                                     
              n                      nodes                   /1*3/       
              i                      producers               /1*3/       
;                                                                        
                                                                         
Alias(n,m);                                                              
                                                                         
parameters                                                               
                                                                         
A(n)          demand slope           /                                   
1             10000                                                      
2             15000                                                      
3             15000                                                      
/                                                                        
                                                                         
B(n)          demand intercept       /                                   
1             200000                                                     
2             100000                                                     
3             100000                                                     
/                                                                        
                                                                         
Cprod1(i)     linear supplier cost   /                                   
1             60000                                                      
2             30000                                                      
3             30000                                                      
/                                                                        
                                                                         
Cprod2(i)     quad supplier cost     /                                   
1             4000                                                       
2             10000                                                      
3             10000                                                      
/                                                                        
                                                                         
table         productionCAP(n,i)     production capacity                 
              1                      2                       3           
1             0                      0                       0           
2             0                      2                       0           
3             0                      0                       0           
;                                                                        
                                                                         
table         Ctrans1(n,m)           linear tso cost                     
              1                      2                       3           
1             0                      0                       0           
2             15000                  0                       15000       
3             15000                  0                       0           
;                                                                        
                                                                         
table         Ctrans2(n,m)           quad tso cost                       
              1                      2                       3           
1             0                      0                       0           
2             50000                  0                       2000        
3             50000                  0                       0           
;                                                                        
                                                                         
                                                                         
table         transportationCAP(n,m) transportation capacity             
              1                      2                       3           
1             0                      0                       0           
2             1                      0                       2           
3             2                      0                       0           
;                                                                        
* -----------------------------------------------------
