sets
         n       nodes           /1*4/
         i       producers       /1*3/
;

Alias (n,m);

parameters

A(n)    demand slope /
1       1.3
2       2.2
3       3.1
4       4.0
/

B(n)    demand intercept /
1       10
2       20
3       20
4       30
/

Cprod1(i) linear supplier cost /
1       1
2       2
3       5
/

Cprod2(i) quad supplier cost /
1       6
2       2
3       1
/
;


table transportationCAP(n,m) transportation capacity
         1       2       3       4
1        14      16      13      10
2        3       5       2       6
3        4       2       7       9
4        4       6       2       10
;

table Ctrans1(n,m) linear tso cost
                1       2        3       4
        1       1       2        3       4
        2       4       7        8       5
        3       9       1        2       2
        4       10      6        5       1
;

table Ctrans2(n,m) quad tso cost
        1       2        3       4
1       2       4        6       3
2       5       2        1       5
3       3       7        8       7
4       5       2        6       1
;

table productionCAP(n,i) production capacity
         1       2       3
1        1       2       3
2        2       5       2
3        1       0       0
4        0       5       7
;

table transportationTariff(n,m)
         1       2       3       4
1        0       0       0       0
2        0       0       0       0
3        0       0       0       0
4        0       0       0       0
;
